#property copyright "AlexTrader0618"
#property link "alextrader@inbox.ru"
#property indicator_separate_window
#property indicator_maximum 1.0
#property indicator_minimum 0.0
#define TodaySize 7                         //      .
extern int BarsLimit=50000;                 //      (  50000).
int MyWindow=0;                             //       .

int init() {
    IndicatorShortName ("WeekDay");         //       12:00:00.
    if (Period()>PERIOD_H4) {               //   D1   -    .
       Comment(" TimeFrame! \n", "   1  240 ."); 
       Print  (" TimeFrame! -    1  240 ."); return(0);}
    return(0);}

int deinit() {return(0);}
    
int start() {   
    bool bCheckCreate=false, bCheckSet=false; datetime ObjTime=0; MyWindow=WindowFind("WeekDay"); 
    int iHour=0, iMinute=0, iSecond=0, iToday=0, iCheckExist=0, iError=0, iIndex=0, StaticBars=0, Range=0;
    string sToday[TodaySize]={" "," "," "," "," "," "," "};
    StaticBars=IndicatorCounted();     //    (     ).
    if (StaticBars<0)  {return(-1);}   //  0  -  IndicatorCounted()  .
    if (StaticBars>0)  {StaticBars--;} //      1  -  StaticBars  1.
    Range=(Bars-StaticBars-1); //    = (   -    - 1)
    if (Range>BarsLimit) {Range=BarsLimit;} //     BarsLimit -    BarsLimit .
    for (iIndex=0; iIndex<Range; iIndex++) {               //              .        
        iToday=TimeDayOfWeek(Time[iIndex]);                //  . [0-6 ].
        iHour=TimeHour(Time[iIndex]);                      //  .     [0-23].
        iMinute=TimeMinute(Time[iIndex]);                  //  .  [0-59].
        iSecond=TimeSeconds(Time[iIndex]);                 //  . [0-59].
        ObjTime=Time[iIndex];                              //      1970.
    if (iHour==12 && iMinute==0 && iSecond==0) {           //     12:00:00 (  
       iCheckExist=ObjectFind(sToday[iToday]+ObjTime);     // ..)        ).
       if (iCheckExist==-1) {                              //        .
          bCheckCreate=ObjectCreate(sToday[iToday]+ObjTime,OBJ_TEXT,MyWindow,ObjTime,1.0);
          if (bCheckCreate==false) {iError=GetLastError(); Print ("    ! ",iError); return(0);}
             bCheckSet=ObjectSet(sToday[iToday]+ObjTime, OBJPROP_COLOR, Red);
             bCheckSet=ObjectSetText(sToday[iToday]+ObjTime, sToday[iToday], 12, "Arial", Red);}}}
    return(0);}    